Package ch.qos.logback.core.joran.spi

# Class HostClassAndPropertyDouble

java.lang.Object
ch.qos.logback.core.joran.spi.HostClassAndPropertyDouble

public class HostClassAndPropertyDouble extends Object
A 2-tuple (a double) consisting of a Class and a String. The Class references the hosting class of a component and the String represents the property name under which a nested component is referenced the host. This class is used by `DefaultNestedComponentRegistry`.

Author:
  Ceki Gulcu

## Constructor Summary

Constructors
Constructor
Description
`HostClassAndPropertyDouble(Class<?> hostClass, String propertyName)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Class<?>`
`getHostClass()`
`String`
`getPropertyName()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HostClassAndPropertyDouble

public HostClassAndPropertyDouble(Class<?> hostClass, String propertyName)

## Method Details

### getHostClass

public Class<?> getHostClass()

### getPropertyName

public String getPropertyName()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`